=== debian/changelog ===
olde-logout (1.1-1) unstable; urgency=medium

  * [bfa6b7b] New upstream version 1.1

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Mon, 05 Sep 2022 21:45:25 +0200

olde-logout (1.0-1) unstable; urgency=medium

  * [d13ff06] Initial release.

 -- Raphaël Halimi <raphael.halimi@gmail.com>  Sun, 04 Sep 2022 14:25:47 +0200
