=== debian/control ===
Source: olde-logout
Section: x11
Priority: optional
Maintainer: Raphaël Halimi <raphael.halimi@gmail.com>
Build-Depends: debhelper-compat (= 13), libglib2.0-dev, libdbus-1-dev, libx11-dev, libgtk2.0-dev
Standards-Version: 4.5.1
#Vcs-Browser: https://salsa.debian.org/debian/olde-logout
#Vcs-Git: https://salsa.debian.org/debian/olde-logout.git

Package: olde-logout
Architecture: any
Depends: libcanberra-gtk-module, gnome-icon-theme, ${shlibs:Depends}, ${misc:Depends}
Description: OLDE logout dialog
 olde-logout displays a dialog where you can choose if you want to quit the
 session, power off, suspend or hibernate the computer.
 .
 This is a fork of obsession-logout stripped down to keep only the graphical
 logout dialog.
